# tailscale to docker-compose proxy

This simple service works to bridge docker-compose local hostnames onto your tailnet. HTTP services only for now.

## Usage

Set `UPSTREAMS` in the environment as a comma-separated list of docker-compose `host:port` services to expose by their hostname onto your tailnet. For example:

```bash
UPSTREAMS=pgadmin:9090,secureservice:8080
```

Would result in two new services being added to your tailnet with the hostnames `pgadmin` and `secureservice`, both listening on port 80 for traffic.
